<?php

namespace app\api\controller\Enrol;

use app\BaseController;
use app\common\model\Enrol\EnterSchoolProcess as ModelEnterSchoolProcess;
use app\Request;
use think\Validate;
use think\exception\ValidateException;
use think\facade\Filesystem;
use app\common\arw\adjfut\src\Excel;
use app\common\arw\adjfut\src\UploadFile;
use think\facade\Db;
use app\common\exception\Tool;
use think\facade\Env;


class EnterSchoolProcess extends BaseController
{
    /**
     * 获取入学流程列表
     */
    public function getEnterSchoolProcessList(Request $request): array
    {
        $params = $request->param();
        $con = [];

        $query = ModelEnterSchoolProcess::where($con)
            ->field([
                'enter_school_process_id',
                'enter_school_process_title',
                'enter_school_process_intro',
                'enter_school_process_sort'
            ])
            ->order('enter_school_process_sort', 'asc')
            ->select();



        return msg(0, "获取入学流程列表成功!", [
            'data' => $query,
            'count' => count($query)
        ]);
    }

}
